Index: modules/icm-iis-3rdparty-avro-json/trunk/pom.xml.disabled
===================================================================
--- modules/icm-iis-3rdparty-avro-json/trunk/pom.xml.disabled	(revision 47563)
+++ modules/icm-iis-3rdparty-avro-json/trunk/pom.xml.disabled	(nonexistent)
@@ -1,113 +0,0 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-  <!--
-  Licensed to the Apache Software Foundation (ASF) under one
-  or more contributor license agreements.  See the NOTICE file
-  distributed with this work for additional information
-  regarding copyright ownership.  The ASF licenses this file
-  to you under the Apache License, Version 2.0 (the
-  "License"); you may not use this file except in compliance
-  with the License.  You may obtain a copy of the License at
-
-       http://www.apache.org/licenses/LICENSE-2.0
-
-  Unless required by applicable law or agreed to in writing, software
-  distributed under the License is distributed on an "AS IS" BASIS,
-  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-  See the License for the specific language governing permissions and
-  limitations under the License.
-  -->
-	<parent>
-    		<groupId>eu.dnetlib</groupId>
-	        <artifactId>dnet-hadoop-parent</artifactId>
-            <version>1.0.0</version>
-	</parent>
-  
-  <modelVersion>4.0.0</modelVersion>
-
-  <artifactId>icm-iis-3rdparty-avro-json</artifactId>
-  <version>1.1-SNAPSHOT</version>
-  <packaging>jar</packaging>
-
-  <scm>
-    <developerConnection>
-      scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-3rdparty-avro-json/trunk
-    </developerConnection>
-  </scm>
-
-  <name>Avro/JSON InputFormat/OutputFormats and SerDes</name>
-  <url>http://www.cloudera.com</url>
-
-  <properties>
-    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-    <eclipse.output.directory>eclipse-classes</eclipse.output.directory>
-  </properties>
-
-  <build>
-    <plugins>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-eclipse-plugin</artifactId>
-        <version>2.9</version>
-        <configuration>
-          <buildOutputDirectory>eclipse-classes</buildOutputDirectory>
-          <downloadSources>true</downloadSources>
-          <downloadJavadocs>false</downloadJavadocs>
-        </configuration>
-      </plugin>
-
-    </plugins>
-  </build>
-
-  <dependencies>
-    <dependency>
-      <groupId>eu.dnetlib</groupId>
-      <artifactId>icm-iis-core</artifactId>
-      <version>[1.0.0,2.0.0)</version>
-    </dependency>
-    <dependency>
-      <groupId>junit</groupId>
-      <artifactId>junit</artifactId>
-      <version>4.8.2</version>
-      <scope>test</scope>      
-    </dependency>
-    <dependency>
-      <groupId>org.apache.avro</groupId>
-      <artifactId>avro</artifactId>
-      <version>${iis.avro.version}</version>
-    </dependency>
-
-    <dependency>
-      <groupId>org.apache.avro</groupId>
-      <artifactId>avro-mapred</artifactId>
-      <version>${iis.avro.version}</version>
-      <classifier>hadoop2</classifier>
-    </dependency>
-
-    <!-- Hadoop Dependencies -->
-    <dependency>
-      <groupId>org.apache.hive</groupId>
-      <artifactId>hive-serde</artifactId>
-      <version>${iis.hive.version}</version>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.hadoop</groupId>
-      <artifactId>hadoop-client</artifactId>
-      <version>${iis.hadoop.version}</version>
-      <scope>provided</scope>
-    </dependency>
-  </dependencies>
-
-	<repositories>
-		<repository>
-			<id>cloudera</id>
-			<url>https://repository.cloudera.com/artifactory/cloudera-repos</url>
-			<releases>
-				<enabled>true</enabled>
-			</releases>
-			<snapshots>
-				<enabled>false</enabled>
-			</snapshots>
-		</repository>
-  </repositories>
-</project>
Index: modules/icm-iis-3rdparty-avro-json/trunk/deploy.info.disabled
===================================================================
--- modules/icm-iis-3rdparty-avro-json/trunk/deploy.info.disabled	(revision 47563)
+++ modules/icm-iis-3rdparty-avro-json/trunk/deploy.info.disabled	(nonexistent)
@@ -1,10 +0,0 @@
-{
-  "type_source": "SVN", 
-  "goal": "package -U -T 4C source:jar", 
-  "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-3rdparty-avro-json/trunk/", 
-  "deploy_repository": "dnet4-snapshots", 
-  "version": "4",
-  "mail": "m.horst@icm.edu.pl,m.kobos@icm.edu.pl",
-  "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet4-snapshots", 
-  "name": "icm-iis-3rdparty-avro-json"
-}
Index: modules/icm-iis-3rdparty-avro-json/trunk/pom.xml
===================================================================
--- modules/icm-iis-3rdparty-avro-json/trunk/pom.xml	(revision 47563)
+++ modules/icm-iis-3rdparty-avro-json/trunk/pom.xml	(revision 47564)
@@ -18,8 +18,8 @@
   -->
 	<parent>
     		<groupId>eu.dnetlib</groupId>
-	        <artifactId>dnet-parent</artifactId>
-            <version>1.0.0</version>
+	        <artifactId>dnet45-parent</artifactId>
+            <version>1.0.0-SNAPSHOT</version>
 	</parent>
   
   <modelVersion>4.0.0</modelVersion>
@@ -30,7 +30,7 @@
 
   <scm>
     <developerConnection>
-      scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-3rdparty-avro-json/trunk
+      scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/icm-iis-3rdparty-avro-json/trunk
     </developerConnection>
   </scm>
 