Index: modules/icm-iis-core/trunk/pom.xml.disabled
===================================================================
--- modules/icm-iis-core/trunk/pom.xml.disabled	(revision 47567)
+++ modules/icm-iis-core/trunk/pom.xml.disabled	(nonexistent)
@@ -1,240 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-	<parent>
-		<groupId>eu.dnetlib</groupId>
-		<artifactId>dnet-hadoop-parent</artifactId>
-		<version>1.0.0</version>
-	</parent>
-	<modelVersion>4.0.0</modelVersion>
-	<artifactId>icm-iis-core</artifactId>
-	<packaging>jar</packaging>
-	<version>1.0.1-SNAPSHOT</version>
-
-	<scm>
-	  <developerConnection>
-	    scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-core/trunk
-	  </developerConnection>
-	</scm>
-
-	<properties>
-		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-	</properties>
-	<dependencies>
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>icm-iis-3rdparty-avrojsoncoders</artifactId>
-			<version>[1.0.0,2.0.0)</version>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.commons</groupId>
-			<artifactId>commons-lang3</artifactId>
-			<version>3.1</version>
-		</dependency>
-		<dependency>
-			<groupId>commons-cli</groupId>
-			<artifactId>commons-cli</artifactId>
-			<version>1.2</version>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.hadoop</groupId>
-			<artifactId>hadoop-common</artifactId>
-			<version>${iis.hadoop.common.version}</version>
-			<scope>provided</scope>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.hadoop</groupId>
-			<artifactId>hadoop-common</artifactId>
-			<version>${iis.hadoop.common.version}</version>
-			<type>test-jar</type>
-			<scope>test</scope>
-		</dependency>
-		<!-- This is needed by map-reduce-related classes -->
-		<dependency>
-			<groupId>org.apache.hadoop</groupId>
-			<artifactId>hadoop-core</artifactId>
-			<version>${iis.hadoop.core.version}</version>
-			<scope>provided</scope>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.hadoop</groupId>
-			<artifactId>hadoop-hdfs</artifactId>
-			<version>${iis.hadoop.hdfs.version}</version>
-			<scope>provided</scope>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.hadoop</groupId>
-			<artifactId>hadoop-hdfs</artifactId>
-			<version>${iis.hadoop.hdfs.version}</version>
-			<type>test-jar</type>
-			<scope>test</scope>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.hadoop</groupId>
-			<artifactId>hadoop-test</artifactId>
-			<version>${iis.hadoop.test.version}</version>
-			<scope>test</scope>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.oozie</groupId>
-			<artifactId>oozie-core</artifactId>
-			<version>${iis.oozie.version}</version>
-			<scope>provided</scope>
-		</dependency>
-		<!-- Needed by Avro { -->
-		<dependency>
-			<groupId>org.apache.avro</groupId>
-			<artifactId>avro</artifactId>
-			<version>${iis.avro.version}</version>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.avro</groupId>
-			<artifactId>avro-mapred</artifactId>
-			<version>${iis.avro.version}</version>
-			<classifier>hadoop2</classifier>
-		</dependency>
-		<!-- Needed by Avro } -->
-		<!-- Jar containing testing classes that have been missing -->
-		<dependency>
-			<groupId>org.apache.oozie</groupId>
-			<artifactId>oozie-core</artifactId>
-			<version>${iis.oozie.version}</version>
-			<type>test-jar</type>
-			<scope>test</scope>
-		</dependency>
-		<dependency>
-			<groupId>junit</groupId>
-			<artifactId>junit</artifactId>
-			<version>4.10</version>
-			<scope>test</scope>
-		</dependency>
-		<dependency>
-			<groupId>com.google.code.gson</groupId>
-			<artifactId>gson</artifactId>
-			<version>2.2.4</version>
-		</dependency>
-	</dependencies>
-	<build>
-		<plugins>
-			<!-- Plugin that generates Java classes from Avro schemas -->
-			<plugin>
-				<groupId>org.apache.avro</groupId>
-				<artifactId>avro-maven-plugin</artifactId>
-				<version>${iis.avro.version}</version>
-				<executions>
-					<execution>
-						<phase>generate-sources</phase>
-						<goals>
-							<goal>schema</goal>
-							<goal>idl-protocol</goal>
-						</goals>
-						<configuration>
-							<sourceDirectory>${project.basedir}/src/test/resources/</sourceDirectory>
-							<outputDirectory>${project.basedir}/target/generated-sources/java/</outputDirectory>
-						</configuration>
-					</execution>
-				</executions>
-			</plugin>
-			<!-- This plugin makes the Maven->Update Project Configuration not forget 
-				about the "target/generated-sources/java" source path -->
-			<plugin>
-				<groupId>org.codehaus.mojo</groupId>
-				<artifactId>build-helper-maven-plugin</artifactId>
-				<executions>
-					<execution>
-						<id>add-source</id>
-						<phase>generate-sources</phase>
-						<goals>
-							<goal>add-source</goal>
-						</goals>
-						<configuration>
-							<sources>
-								<source>${project.build.directory}/generated-sources/java/</source>
-							</sources>
-						</configuration>
-					</execution>
-				</executions>
-			</plugin>
-			<!-- Plugin that generates jar with test classes -->
-			<plugin>
-				<groupId>org.apache.maven.plugins</groupId>
-				<artifactId>maven-jar-plugin</artifactId>
-				<version>2.2</version>
-				<executions>
-					<execution>
-						<goals>
-							<goal>test-jar</goal>
-						</goals>
-					</execution>
-				</executions>
-			</plugin>
-		</plugins>
-		<pluginManagement>
-			<plugins>
-				<!--This plugin's configuration is used to store Eclipse m2e settings 
-					only. It has no influence on the Maven build itself. -->
-				<plugin>
-					<groupId>org.eclipse.m2e</groupId>
-					<artifactId>lifecycle-mapping</artifactId>
-					<version>1.0.0</version>
-					<configuration>
-						<lifecycleMappingMetadata>
-							<pluginExecutions>
-								<pluginExecution>
-									<pluginExecutionFilter>
-										<groupId>
-											org.apache.avro
-										</groupId>
-										<artifactId>
-											avro-maven-plugin
-										</artifactId>
-										<versionRange>
-											[1.7.4,)
-										</versionRange>
-										<goals>
-											<goal>schema</goal>
-											<goal>idl-protocol</goal>
-										</goals>
-									</pluginExecutionFilter>
-									<action>
-										<ignore />
-									</action>
-								</pluginExecution>
-								<pluginExecution>
-									<pluginExecutionFilter>
-										<groupId>
-											org.codehaus.mojo
-										</groupId>
-										<artifactId>
-											build-helper-maven-plugin
-										</artifactId>
-										<versionRange>
-											[1.7,)
-										</versionRange>
-										<goals>
-											<goal>add-source</goal>
-										</goals>
-									</pluginExecutionFilter>
-									<action>
-										<ignore />
-									</action>
-								</pluginExecution>
-							</pluginExecutions>
-						</lifecycleMappingMetadata>
-					</configuration>
-				</plugin>
-			</plugins>
-		</pluginManagement>
-	</build>
-	<repositories>
-		<repository>
-			<id>cloudera</id>
-			<url>https://repository.cloudera.com/artifactory/cloudera-repos</url>
-			<releases>
-				<enabled>true</enabled>
-			</releases>
-			<snapshots>
-				<enabled>false</enabled>
-			</snapshots>
-		</repository>
-	</repositories>
-</project>

Property changes on: modules/icm-iis-core/trunk/pom.xml.disabled
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-text/plain
\ No newline at end of property
Index: modules/icm-iis-core/trunk/deploy.info.disabled
===================================================================
--- modules/icm-iis-core/trunk/deploy.info.disabled	(revision 47567)
+++ modules/icm-iis-core/trunk/deploy.info.disabled	(nonexistent)
@@ -1,22 +0,0 @@
-[
-{
-  "type_source": "SVN", 
-  "goal": "package -U -T 4C source:jar", 
-  "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-core/trunk/", 
-  "deploy_repository": "dnet4-snapshots", 
-  "version": "4",
-  "mail": "m.horst@icm.edu.pl",
-  "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet4-snapshots", 
-  "name": "icm-iis-core"
-},
-{
-  "type_source": "SVN",
-  "goal": "clean verify -U -e -X",
-  "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-core/trunk/",
-  "nightly" : "true",
-  "cron" : "H H * * *",
-  "version": "4",
-  "mail": "m.horst@icm.edu.pl",
-  "name": "icm-iis-core-embedded-integration-test"
-}
-]
Index: modules/icm-iis-core/trunk/pom.xml
===================================================================
--- modules/icm-iis-core/trunk/pom.xml	(revision 47567)
+++ modules/icm-iis-core/trunk/pom.xml	(revision 47568)
@@ -2,8 +2,8 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
 	<parent>
 		<groupId>eu.dnetlib</groupId>
-		<artifactId>dnet-parent</artifactId>
-		<version>1.0.0</version>
+		<artifactId>dnet45-parent</artifactId>
+		<version>1.0.0-SNAPSHOT</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>icm-iis-core</artifactId>
@@ -12,7 +12,7 @@
 
 	<scm>
 	  <developerConnection>
-	    scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-core/trunk
+	    scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/icm-iis-core/trunk
 	  </developerConnection>
 	</scm>
 