Index: modules/icm-iis-oozie-maven-plugin/trunk/pom.xml.disabled
===================================================================
--- modules/icm-iis-oozie-maven-plugin/trunk/pom.xml.disabled	(revision 47568)
+++ modules/icm-iis-oozie-maven-plugin/trunk/pom.xml.disabled	(nonexistent)
@@ -1,140 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-	<parent>
-    		<groupId>eu.dnetlib</groupId>
-	        <artifactId>dnet-parent</artifactId>
-            <version>1.0.0</version>
-	</parent>
-
-	<version>0.0.2-SNAPSHOT</version>
-	<modelVersion>4.0.0</modelVersion>
-	<artifactId>icm-iis-oozie-maven-plugin</artifactId>
-	<packaging>maven-plugin</packaging>
-
-	<scm>
-	  <developerConnection>
-	    scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-oozie-maven-plugin/trunk
-	  </developerConnection>
-	</scm>
-
-	<properties>
-	</properties>
-
-	<repositories>                                                                                                                                                                                
-	    <repository>
-	      <id>dnet-deps</id>
-	      <name>dnet-dependencies</name>
-	      <url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet-deps</url>
-	      <layout>default</layout>
-	    </repository>
-		<repository>
-			<id>cloudera</id>
-			<name>Cloudera Repository</name>
-			<url>https://repository.cloudera.com/artifactory/cloudera-repos</url>
-			<releases>
-				<enabled>true</enabled>
-			</releases>
-			<snapshots>
-				<enabled>false</enabled>
-			</snapshots>
-		</repository>
-	</repositories>
-
-	<dependencies>
-	<dependency>
-	      <groupId>org.apache.maven</groupId>
-	      <artifactId>maven-plugin-api</artifactId>
-	      <version>2.0</version>
-	    </dependency>
-	    <dependency>
-	      <groupId>org.apache.maven</groupId>
-	      <artifactId>maven-project</artifactId>
-	      <version>2.0</version>
-	    </dependency>
-	    <dependency>
-			<groupId>org.apache.oozie</groupId>
-			<artifactId>oozie-client</artifactId>
-			<version>${iis.oozie.version}</version>
-			<exclusions>
-				<exclusion>
-					<artifactId>slf4j-simple</artifactId>
-					<groupId>org.slf4j</groupId>
-				</exclusion>
-			</exclusions>
-		</dependency>
-	</dependencies>
-	<build>	
-	<directory>target</directory>
-    <outputDirectory>target/classes</outputDirectory>
-    <finalName>${project.artifactId}-${project.version}</finalName>
-    <testOutputDirectory>target/test-classes</testOutputDirectory>
-    <plugins>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-compiler-plugin</artifactId>
-        <version>2.3.2</version>
-        <configuration>
-          <source>1.6</source>
-          <target>1.6</target>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-source-plugin</artifactId>
-        <version>2.1.2</version>
-        <executions>
-          <execution>
-            <id>attach-sources</id>
-            <phase>verify</phase>
-            <goals>
-              <goal>jar-no-fork</goal>
-            </goals>
-          </execution>
-        </executions>
-      </plugin>
-    </plugins>
-    <pluginManagement>
-    	<plugins>
-    		<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
-    		<plugin>
-    			<groupId>org.eclipse.m2e</groupId>
-    			<artifactId>lifecycle-mapping</artifactId>
-    			<version>1.0.0</version>
-    			<configuration>
-    				<lifecycleMappingMetadata>
-    					<pluginExecutions>
-    						<pluginExecution>
-    							<pluginExecutionFilter>
-    								<groupId>
-    									org.apache.maven.plugins
-    								</groupId>
-    								<artifactId>
-    									maven-plugin-plugin
-    								</artifactId>
-    								<versionRange>[3.2,)</versionRange>
-    								<goals>
-    									<goal>descriptor</goal>
-    								</goals>
-    							</pluginExecutionFilter>
-    							<action>
-    								<ignore />
-    							</action>
-    						</pluginExecution>
-    					</pluginExecutions>
-    				</lifecycleMappingMetadata>
-    			</configuration>
-    		</plugin>
-    	</plugins>
-    </pluginManagement>
-	</build>
-
-    <distributionManagement>
-        <repository>
-        <id>dnet4-bootstrap-release</id>
-        <url>
-        http://maven.research-infrastructures.eu/nexus/content/repositories/dnet4-bootstrap-release
-        </url>
-        </repository>
-    </distributionManagement>
-
-</project>

Property changes on: modules/icm-iis-oozie-maven-plugin/trunk/pom.xml.disabled
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-text/plain
\ No newline at end of property
Index: modules/icm-iis-oozie-maven-plugin/trunk/deploy.info.disabled
===================================================================
--- modules/icm-iis-oozie-maven-plugin/trunk/deploy.info.disabled	(revision 47568)
+++ modules/icm-iis-oozie-maven-plugin/trunk/deploy.info.disabled	(nonexistent)
@@ -1,10 +0,0 @@
-{
-  "type_source": "SVN", 
-  "goal": "package -U -T 4C source:jar", 
-  "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet40/modules/icm-iis-oozie-maven-plugin/trunk/", 
-  "deploy_repository": "dnet4-snapshots", 
-  "version": "4",
-  "mail": "m.horst@icm.edu.pl",
-  "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet4-bootstrap-snapshot", 
-  "name": "icm-iis-oozie-maven-plugin"
-}
Index: modules/icm-iis-oozie-maven-plugin/trunk/pom.xml
===================================================================
--- modules/icm-iis-oozie-maven-plugin/trunk/pom.xml	(nonexistent)
+++ modules/icm-iis-oozie-maven-plugin/trunk/pom.xml	(revision 47569)
@@ -0,0 +1,140 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<parent>
+    		<groupId>eu.dnetlib</groupId>
+	        <artifactId>dnet45-parent</artifactId>
+            <version>1.0.0-SNAPSHOT</version>
+	</parent>
+
+	<version>0.0.2-SNAPSHOT</version>
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>icm-iis-oozie-maven-plugin</artifactId>
+	<packaging>maven-plugin</packaging>
+
+	<scm>
+	  <developerConnection>
+	    scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/icm-iis-oozie-maven-plugin/trunk
+	  </developerConnection>
+	</scm>
+
+	<properties>
+	</properties>
+
+	<repositories>                                                                                                                                                                                
+	    <repository>
+	      <id>dnet-deps</id>
+	      <name>dnet-dependencies</name>
+	      <url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet-deps</url>
+	      <layout>default</layout>
+	    </repository>
+		<repository>
+			<id>cloudera</id>
+			<name>Cloudera Repository</name>
+			<url>https://repository.cloudera.com/artifactory/cloudera-repos</url>
+			<releases>
+				<enabled>true</enabled>
+			</releases>
+			<snapshots>
+				<enabled>false</enabled>
+			</snapshots>
+		</repository>
+	</repositories>
+
+	<dependencies>
+	<dependency>
+	      <groupId>org.apache.maven</groupId>
+	      <artifactId>maven-plugin-api</artifactId>
+	      <version>2.0</version>
+	    </dependency>
+	    <dependency>
+	      <groupId>org.apache.maven</groupId>
+	      <artifactId>maven-project</artifactId>
+	      <version>2.0</version>
+	    </dependency>
+	    <dependency>
+			<groupId>org.apache.oozie</groupId>
+			<artifactId>oozie-client</artifactId>
+			<version>${iis.oozie.version}</version>
+			<exclusions>
+				<exclusion>
+					<artifactId>slf4j-simple</artifactId>
+					<groupId>org.slf4j</groupId>
+				</exclusion>
+			</exclusions>
+		</dependency>
+	</dependencies>
+	<build>	
+	<directory>target</directory>
+    <outputDirectory>target/classes</outputDirectory>
+    <finalName>${project.artifactId}-${project.version}</finalName>
+    <testOutputDirectory>target/test-classes</testOutputDirectory>
+    <plugins>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-compiler-plugin</artifactId>
+        <version>2.3.2</version>
+        <configuration>
+          <source>1.6</source>
+          <target>1.6</target>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-source-plugin</artifactId>
+        <version>2.1.2</version>
+        <executions>
+          <execution>
+            <id>attach-sources</id>
+            <phase>verify</phase>
+            <goals>
+              <goal>jar-no-fork</goal>
+            </goals>
+          </execution>
+        </executions>
+      </plugin>
+    </plugins>
+    <pluginManagement>
+    	<plugins>
+    		<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
+    		<plugin>
+    			<groupId>org.eclipse.m2e</groupId>
+    			<artifactId>lifecycle-mapping</artifactId>
+    			<version>1.0.0</version>
+    			<configuration>
+    				<lifecycleMappingMetadata>
+    					<pluginExecutions>
+    						<pluginExecution>
+    							<pluginExecutionFilter>
+    								<groupId>
+    									org.apache.maven.plugins
+    								</groupId>
+    								<artifactId>
+    									maven-plugin-plugin
+    								</artifactId>
+    								<versionRange>[3.2,)</versionRange>
+    								<goals>
+    									<goal>descriptor</goal>
+    								</goals>
+    							</pluginExecutionFilter>
+    							<action>
+    								<ignore />
+    							</action>
+    						</pluginExecution>
+    					</pluginExecutions>
+    				</lifecycleMappingMetadata>
+    			</configuration>
+    		</plugin>
+    	</plugins>
+    </pluginManagement>
+	</build>
+
+    <distributionManagement>
+        <repository>
+        <id>dnet45-bootstrap-snapshot</id>
+        <url>
+        http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-bootstrap-snapshot
+        </url>
+        </repository>
+    </distributionManagement>
+
+</project>