Index: modules/dnet-container-parent/trunk/dnet45-container-parent.iml
===================================================================
--- modules/dnet-container-parent/trunk/dnet45-container-parent.iml	(nonexistent)
+++ modules/dnet-container-parent/trunk/dnet45-container-parent.iml	(revision 47626)
@@ -0,0 +1,79 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
+  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8" inherit-compiler-output="false">
+    <output url="file://$MODULE_DIR$/target/classes" />
+    <output-test url="file://$MODULE_DIR$/target/test-classes" />
+    <content url="file://$MODULE_DIR$">
+      <excludeFolder url="file://$MODULE_DIR$/target" />
+    </content>
+    <orderEntry type="inheritedJdk" />
+    <orderEntry type="sourceFolder" forTests="false" />
+    <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.6.1" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-beans:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-core:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: commons-logging:commons-logging:1.2" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-web:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-aop:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: aopalliance:aopalliance:1.0" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-context:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-expression:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-jaxws:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: xml-resolver:xml-resolver:1.2" level="project" />
+    <orderEntry type="library" name="Maven: org.ow2.asm:asm:5.0.4" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-core:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.codehaus.woodstox:woodstox-core-asl:4.4.1" level="project" />
+    <orderEntry type="library" name="Maven: org.codehaus.woodstox:stax2-api:3.1.4" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.ws.xmlschema:xmlschema-core:2.2.1" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-soap:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-wsdl:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-databinding-jaxb:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-impl:2.2.11" level="project" />
+    <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-core:2.2.11" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-xml:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-simple:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-addr:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-transports-http:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-policy:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: wsdl4j:wsdl4j:1.6.3" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.neethi:neethi:3.0.3" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-rm:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-management:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.wss4j:wss4j-policy:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-ws-security:3.1.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-security-saml:3.1.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-security:3.1.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-common:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.santuario:xmlsec:2.0.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: commons-codec:commons-codec:1.10" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-saml-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-profile-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-core:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-saml-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xmlsec-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-soap-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-security-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-security-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.cryptacular:cryptacular:1.0" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xmlsec-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: net.shibboleth.utilities:java-support:7.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: com.google.guava:guava:18.0" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: joda-time:joda-time:2.7" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-saml-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-saml-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.jasypt:jasypt:1.9.2" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.geronimo.specs:geronimo-javamail_1.4_spec:1.7.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: net.sf.ehcache:ehcache:2.9.0" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-dom:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-stax:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-bindings:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-policy-stax:2.1.4" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-config:1.0.2-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:dnet-runtime:1.0.1-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: commons-lang:commons-lang:2.6" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-log4j-management:1.0.1-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
+  </component>
+</module>
\ No newline at end of file