Index: modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/dnet45-container-parent.iml
===================================================================
--- modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/dnet45-container-parent.iml	(nonexistent)
+++ modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/dnet45-container-parent.iml	(revision 47627)
@@ -0,0 +1,79 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
+  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8" inherit-compiler-output="false">
+    <output url="file://$MODULE_DIR$/target/classes" />
+    <output-test url="file://$MODULE_DIR$/target/test-classes" />
+    <content url="file://$MODULE_DIR$">
+      <excludeFolder url="file://$MODULE_DIR$/target" />
+    </content>
+    <orderEntry type="inheritedJdk" />
+    <orderEntry type="sourceFolder" forTests="false" />
+    <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.6.1" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-beans:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-core:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: commons-logging:commons-logging:1.2" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-web:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-aop:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: aopalliance:aopalliance:1.0" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-context:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-expression:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-jaxws:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: xml-resolver:xml-resolver:1.2" level="project" />
+    <orderEntry type="library" name="Maven: org.ow2.asm:asm:5.0.4" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-core:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.codehaus.woodstox:woodstox-core-asl:4.4.1" level="project" />
+    <orderEntry type="library" name="Maven: org.codehaus.woodstox:stax2-api:3.1.4" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.ws.xmlschema:xmlschema-core:2.2.1" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-soap:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-wsdl:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-databinding-jaxb:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-impl:2.2.11" level="project" />
+    <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-core:2.2.11" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-xml:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-simple:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-addr:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-transports-http:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-policy:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: wsdl4j:wsdl4j:1.6.3" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.neethi:neethi:3.0.3" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-rm:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-management:3.1.5" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.wss4j:wss4j-policy:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-ws-security:3.1.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-security-saml:3.1.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-security:3.1.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-common:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.santuario:xmlsec:2.0.5" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: commons-codec:commons-codec:1.10" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-saml-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-profile-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-core:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-saml-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xmlsec-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-soap-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-security-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-security-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.cryptacular:cryptacular:1.0" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xmlsec-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: net.shibboleth.utilities:java-support:7.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: com.google.guava:guava:18.0" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: joda-time:joda-time:2.7" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-saml-impl:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-saml-api:3.1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.jasypt:jasypt:1.9.2" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.geronimo.specs:geronimo-javamail_1.4_spec:1.7.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: net.sf.ehcache:ehcache:2.9.0" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-dom:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-stax:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-bindings:2.1.4" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-policy-stax:2.1.4" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-config:1.0.2-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:dnet-runtime:1.0.1-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: commons-lang:commons-lang:2.6" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-log4j-management:1.0.1-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
+  </component>
+</module>
\ No newline at end of file
Index: modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/pom.xml
===================================================================
--- modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/pom.xml	(nonexistent)
+++ modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/pom.xml	(revision 47627)
@@ -0,0 +1,104 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<parent>
+		<groupId>eu.dnetlib</groupId>
+		<artifactId>dnet45-parent</artifactId>
+		<version>1.0.0-SNAPSHOT</version>
+		<relativePath />
+	</parent>
+	<modelVersion>4.0.0</modelVersion>
+	<groupId>eu.dnetlib</groupId>
+	<artifactId>dnet45-container-parent</artifactId>
+	<version>1.0.0-SNAPSHOT</version>
+	<packaging>pom</packaging>
+	<scm>
+	  <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-container-parent/trunk</developerConnection>
+	</scm>
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.apache.tomcat.maven</groupId>
+				<artifactId>tomcat7-maven-plugin</artifactId>
+				<configuration>
+					<path>/${dnet.container.context}</path>
+					<port>${dnet.container.port}</port>
+				</configuration>
+				<version>2.1</version>
+			</plugin>
+		</plugins>
+	</build>
+	<dependencies>
+		<dependency>
+			<groupId>org.slf4j</groupId>
+			<artifactId>slf4j-api</artifactId>
+			<version>1.6.1</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework</groupId>
+			<artifactId>spring-beans</artifactId>
+			<version>${spring.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework</groupId>
+			<artifactId>spring-web</artifactId>
+			<version>${spring.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework</groupId>
+			<artifactId>spring-webmvc</artifactId>
+			<version>${spring.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.cxf</groupId>
+			<artifactId>cxf-rt-frontend-jaxws</artifactId>
+			<version>${cxf.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.cxf</groupId>
+			<artifactId>cxf-rt-transports-http</artifactId>
+			<version>${cxf.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.cxf</groupId>
+			<artifactId>cxf-rt-ws-policy</artifactId>
+			<version>${cxf.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.cxf</groupId>
+			<artifactId>cxf-rt-ws-rm</artifactId>
+			<version>${cxf.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.cxf</groupId>
+			<artifactId>cxf-rt-ws-security</artifactId>
+			<version>${cxf.version}</version>
+			<scope>test</scope>
+			<exclusions>
+				<exclusion>
+					<groupId>org.bouncycastle</groupId>
+					<artifactId>bcprov-jdk15on</artifactId>
+				</exclusion>
+			</exclusions>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>cnr-config</artifactId>
+			<version>[1.0.0,2.0.0)</version>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>dnet-runtime</artifactId>
+			<version>[1.0.0,2.0.0)</version>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>cnr-log4j-management</artifactId>
+			<version>[1.0.0,2.0.0)</version>
+		</dependency>
+	</dependencies>
+</project>
+
+
+
+
+
Index: modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/deploy.info
===================================================================
--- modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/deploy.info	(nonexistent)
+++ modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0/deploy.info	(revision 47627)
@@ -0,0 +1 @@
+{"type_source": "SVN", "goal": "package -U  source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-container-parent/trunk/", "deploy_repository": "dnet45-bootstrap-snapshot", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-bootstrap-snapshot", "name": "dnet-container-parent"}
\ No newline at end of file
Index: modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0
===================================================================
--- modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0	(nonexistent)
+++ modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0	(revision 47627)

Property changes on: modules/dnet-container-parent/tags/dnet45-container-parent-1.0.0
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,3 ##
+.project
+.settings
+target