Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/pom.xml
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/pom.xml	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/pom.xml	(revision 47935)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <parent>
+    <groupId>eu.dnetlib</groupId>
+    <artifactId>dnet45-parent</artifactId>
+    <version>1.0.0</version>
+    <relativePath />
+  </parent>
+  <modelVersion>4.0.0</modelVersion>
+  <groupId>eu.dnetlib</groupId>
+  <artifactId>dnet-data-provision-rmi</artifactId>
+  <packaging>jar</packaging>
+  <version>1.0.1</version>
+  <scm>
+    <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1</developerConnection>
+  </scm>
+  <dependencies>
+    <dependency>
+      <groupId>eu.dnetlib</groupId>
+      <artifactId>cnr-rmi-api</artifactId>
+      <version>[2.0.0,3.0.0)</version>
+    </dependency>
+  </dependencies>
+</project>
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/deploy.info
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/deploy.info	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/deploy.info	(revision 47935)
@@ -0,0 +1 @@
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-data-provision-rmi/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-data-provision-rmi"}
\ No newline at end of file
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/IndexService.java
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/IndexService.java	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/IndexService.java	(revision 47935)
@@ -0,0 +1,27 @@
+package eu.dnetlib.data.provision.index.rmi;
+
+import java.util.List;
+
+import javax.jws.WebMethod;
+import javax.jws.WebService;
+
+import eu.dnetlib.common.rmi.BaseService;
+
+/**
+ * Interface for the IndexService.
+ *
+ * @author alessia
+ *
+ */
+@WebService(targetNamespace = "http://services.dnetlib.eu/")
+public interface IndexService extends BaseService {
+
+	/**
+	 * Returns list of all stored indices.
+	 *
+	 * @return list of all stored indices
+	 * @throws IndexServiceException
+	 */
+	@WebMethod(operationName = "getListOfIndices", action = "getListOfIndices")
+	public List<String> getListOfIndices() throws IndexServiceException;
+}
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/protocols/IndexProtocols.java
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/protocols/IndexProtocols.java	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/protocols/IndexProtocols.java	(revision 47935)
@@ -0,0 +1,5 @@
+package eu.dnetlib.data.provision.index.rmi.protocols;
+
+public enum IndexProtocols {
+	SOLR, SOLR_CLOUD
+}
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/BrowsingRow.java
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/BrowsingRow.java	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/BrowsingRow.java	(revision 47935)
@@ -0,0 +1,65 @@
+package eu.dnetlib.data.provision.index.rmi;
+
+import java.util.List;
+
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlRootElement;
+
+/**
+ * 
+ * serialization of the browsing result.
+ * 
+ * <row> <groupresult field="facetFieldName1"> <value>facetFieldValue</value> <count>1</count> </groupresult>
+ * 
+ * <groupresult field="facetFieldName2"> <value>facetFieldValue</value> <count>1</count> </groupresult>
+ * 
+ * </row>
+ * 
+ * @author claudio
+ * 
+ */
+@XmlRootElement(namespace = "", name = "row")
+@XmlAccessorType(XmlAccessType.FIELD)
+public class BrowsingRow {
+
+	@XmlElement(name = "groupresult", required = true)
+	private List<GroupResult> groupresult;
+
+	public BrowsingRow() {}
+
+	public BrowsingRow(final List<GroupResult> groupresult) {
+		this.groupresult = groupresult;
+	}
+
+	/**
+	 * adds a GroupResult.
+	 * 
+	 * @param fieldName
+	 * @param fieldValue
+	 * @param count
+	 */
+	public void addBrowsingRow(final String fieldName, final String fieldValue, final int count) {
+		groupresult.add(new GroupResult(fieldName, fieldValue, count));
+	}
+
+	@Override
+	public boolean equals(final Object obj) {
+
+		if (!(obj instanceof BrowsingRow)) return false;
+
+		final BrowsingRow brws = (BrowsingRow) obj;
+
+		return groupresult.equals(brws.getGroupResult());
+	}
+
+	public List<GroupResult> getGroupResult() {
+		return groupresult;
+	}
+
+	public void setGroupResult(final List<GroupResult> groupresult) {
+		this.groupresult = groupresult;
+	}
+
+}
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/GroupResult.java
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/GroupResult.java	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/GroupResult.java	(revision 47935)
@@ -0,0 +1,76 @@
+package eu.dnetlib.data.provision.index.rmi;
+
+import javax.xml.bind.annotation.XmlAttribute;
+import javax.xml.bind.annotation.XmlRootElement;
+
+/**
+ * <pre>
+ * {@code
+ * <groupresult field="facetFieldName">
+ * 	<value>facetFieldValue</value>
+ * 	<count>1</count>
+ * </groupresult>
+ * }
+ * </pre>
+ * 
+ * @author claudio
+ * 
+ */
+@XmlRootElement(namespace = "", name = "groupresult")
+public class GroupResult {
+
+	private String name;
+
+	private String value;
+
+	private int count;
+
+	public GroupResult() {}
+
+	/**
+	 * Builds a groupResult.
+	 * 
+	 * @param fieldName
+	 * @param fieldValue
+	 * @param count
+	 */
+	public GroupResult(final String name, final String value, final int count) {
+		this.name = name;
+		this.value = value;
+		this.count = count;
+	}
+
+	@Override
+	public boolean equals(final Object obj) {
+		if (!(obj instanceof GroupResult)) return false;
+		final GroupResult g = (GroupResult) obj;
+		if ((this.getCount() == g.getCount()) && this.getName().equals(g.getName()) && this.getValue().equals(g.getValue())) return true;
+		return false;
+	}
+
+	@XmlAttribute(name = "field", required = true)
+	public String getName() {
+		return name;
+	}
+
+	public String getValue() {
+		return value;
+	}
+
+	public int getCount() {
+		return count;
+	}
+
+	public void setName(final String name) {
+		this.name = name;
+	}
+
+	public void setValue(final String value) {
+		this.value = value;
+	}
+
+	public void setCount(final int count) {
+		this.count = count;
+	}
+
+}
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/IndexServiceException.java
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/IndexServiceException.java	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/java/eu/dnetlib/data/provision/index/rmi/IndexServiceException.java	(revision 47935)
@@ -0,0 +1,23 @@
+package eu.dnetlib.data.provision.index.rmi;
+
+public class IndexServiceException extends Exception {
+
+	private static final long serialVersionUID = 8330264706967294512L;
+
+	public IndexServiceException() {
+		super();
+	}
+
+	public IndexServiceException(String message, Throwable cause) {
+		super(message, cause);
+	}
+
+	public IndexServiceException(String message) {
+		super(message);
+	}
+
+	public IndexServiceException(Throwable cause) {
+		super(cause);
+	}
+
+}
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/resources/eu/dnetlib/applicationContext-dnet-data-provision-rmi.xml
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/resources/eu/dnetlib/applicationContext-dnet-data-provision-rmi.xml	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1/src/main/resources/eu/dnetlib/applicationContext-dnet-data-provision-rmi.xml	(revision 47935)
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<beans xmlns="http://www.springframework.org/schema/beans"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws"
+	xmlns:sec="http://cxf.apache.org/configuration/security" xmlns:wsa="http://cxf.apache.org/ws/addressing"
+	xmlns:p="http://www.springframework.org/schema/p" xmlns:http="http://cxf.apache.org/transports/http/configuration"
+	xmlns:t="http://dnetlib.eu/springbeans/t" xmlns:template="http://dnetlib.eu/springbeans/template"
+	xmlns:util="http://www.springframework.org/schema/util"
+	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
+                                    http://cxf.apache.org/ws/addressing http://cxf.apache.org/schemas/ws-addr-conf.xsd
+                                    http://cxf.apache.org/configuration/security http://cxf.apache.org/schemas/configuration/security.xsd
+                                    http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
+                            http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
+                            http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-2.0.xsd
+                            http://dnetlib.eu/springbeans/template http://dnetlib.eu/springbeans/template.xsd">
+
+
+
+
+</beans>
\ No newline at end of file
Index: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1
===================================================================
--- modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1	(nonexistent)
+++ modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1	(revision 47935)

Property changes on: modules/dnet-data-provision-rmi/tags/dnet-data-provision-rmi-1.0.1
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,5 ##
+.project
+.classpath
+.springBeans
+target
+.settings