Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/search.jsp
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/search.jsp	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/search.jsp	(revision 48340)
@@ -0,0 +1,92 @@
+<%@page import="java.util.List"%>
+<%@page import="eu.dnetlib.domain.EPR"%>
+<%@page import="gr.uoa.di.driver.enabling.resultset.ResultSet"%>
+<%@page import="org.apache.commons.lang.StringEscapeUtils"%>
+
+<jsp:useBean id="query" class="eu.dnetlib.data.search.web.Query" scope="request">
+<jsp:setProperty name="query" property="*"/>
+</jsp:useBean>
+
+<%
+if (query == null) {
+%>
+    <jsp:forward page="/"/>
+<%
+}
+%>
+
+
+<%@page import="eu.dnetlib.api.data.SearchService"%>
+<%@page import="org.springframework.web.context.support.WebApplicationContextUtils"%>
+<%@page import="org.springframework.context.ApplicationContext"%>
+<%@page import="eu.dnetlib.data.search.web.SearchServiceContextUtils"%>
+<%@page import="gr.uoa.di.driver.enabling.resultset.ResultSetFactory"%>
+<html>
+	<head>
+		<title>Index Lookup</title>
+	</head>
+	<body>
+		<h1>Index Lookup</h1>
+		Search for <b>
+		<%
+		if (query.getQuery() == null || query.getQuery().length() == 0 ) {
+		%>
+			(empty query)
+		<%
+		} else {
+		%>
+			<%=query.getQuery()%>
+		<%
+		}
+		%>
+		</b> in <a href="services/searchWebService">local search service</a>...<br>
+
+<%
+	long time = System.currentTimeMillis();
+	SearchService searchService = SearchServiceContextUtils.getSearchService(request);
+%>
+	Created index endpoint in <%=System.currentTimeMillis()-time%> ms.<br>
+
+<%
+	time = System.currentTimeMillis();
+	EPR epr = searchService.search(query.getQuery());
+%>
+	Index lookup lasted <%=System.currentTimeMillis()-time%> ms.<br>
+	Returned EPR: <pre><%=StringEscapeUtils.escapeHtml(epr.toString())%></pre><br>
+<%
+	time = System.currentTimeMillis();
+	ResultSet<String> rs = SearchServiceContextUtils.getResultSetFactory(request).createResultSet(epr);
+	int count = rs.size();
+%>
+	Total documents in result set: <%=count%><br>
+	Query Numof Documents lasted <%=System.currentTimeMillis()-time%> ms.<br>
+
+<%
+	time = System.currentTimeMillis();
+	List<String> list = null;
+	int MAX = 50;
+	if (count > 0) {
+		list = rs.getElements(1, Math.min(MAX, count));
+	}
+%>
+	Retrieve top-<%=MAX%> docs lasted <%=System.currentTimeMillis()-time%> ms.<br>
+
+	Top-<%=MAX%> results:
+	<table>
+		<tr><th>Count</th><th>Record</th></tr>
+	<% for (int i = 0 ; i < MAX && i < count; i++ ) { %>
+		<tr>
+			<td><%=i+1%></td>
+			<!--
+			<td><pre><%=StringEscapeUtils.escapeHtml(list.get(i))%></pre></td>
+			-->
+			<td><pre><%=StringEscapeUtils.escapeHtml(
+					SearchServiceContextUtils.prettyPrint(list.get(i)))%>
+			</pre></td>
+		</tr>
+	<% } %>
+	</table>
+	
+	</body>
+</html>
+
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/openSearchDescriptor.jsp
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/openSearchDescriptor.jsp	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/openSearchDescriptor.jsp	(revision 48340)
@@ -0,0 +1,9 @@
+<%@page contentType="application/xml" %><%@ page isELIgnored="false" %><?xml version="1.0" encoding="UTF-8"?>
+ <OpenSearchDescription xmlns="http://a9.com/-/spec/opensearch/1.1/">
+	<ShortName>OpenAIRE Search</ShortName>
+	<Description>Use OpenAIRE to search for research results</Description>
+	<Tags>OpenAIRE</Tags>
+	<Contact>https://www.openaire.eu/support/helpdesk</Contact>
+	<Url type="application/rss+xml"
+		template="${baseUrl}/api/publications?keywords={searchTerms}&amp;page={startPage}&amp;size={count}&amp;format=rss"/>
+</OpenSearchDescription>
\ No newline at end of file
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/index.jsp
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/index.jsp	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/index.jsp	(revision 48340)
@@ -0,0 +1,83 @@
+<html>
+	<head>
+		<title>XFire</title>
+	</head>
+	<body>
+		<h1>Ubuntu Rockz!!!</h1>
+		<p/>
+		
+		<H2>
+		<a href="services/">Search Service</a>
+		[<a href="services/searchWebService?wsdl">WSDL</a>]
+		</H2>
+	
+		<p>
+		<hr>
+		<p>
+		
+		<H2>Index Lookup</H2>
+		<form action="search.jsp" method="post">
+			<table border="0" cellpadding="0" cellspacing="0">
+				<tr><td>
+					<center>
+					<input type="text" name="query" size="40"/>
+					</center>
+				</td></tr>
+				<tr><td>
+					<center>
+					<input type="submit" name="submit"/>
+					<input type="reset" name="reset"/>
+					</center>
+				</td></tr>
+			</table>
+		</form>
+
+		<p>
+		<hr>
+		<p>
+		
+		<H2>Index Refine</H2>
+		<form action="refine.jsp" method="post">
+			<table border="0" cellpadding="0" cellspacing="0">
+				<tr><td>query</td><td>
+					<input type="text" name="query" size="40"/>
+				</td></tr>
+				<tr><td>fields</td><td>
+					<input type="text" name="fields" size="30"/><br>
+					<small>(comma or white space separated)</small>
+				</td></tr>
+				<tr><td>
+					<center>
+					<input type="submit" name="submit"/>
+					<input type="reset" name="reset"/>
+					</center>
+				</td></tr>
+			</table>
+		</form>
+		
+		<p>
+		<hr>
+		<p>
+		
+		<H2>Index Browse</H2>
+		<form action="browse.jsp" method="post">
+			<table border="0" cellpadding="0" cellspacing="0">
+				<tr><td>prefix</td><td>
+					<input type="text" name="query" size="30"/><br>
+					<small>(prefix query)</small>
+				</td></tr>
+				<tr><td>fields</td><td>
+					<input type="text" name="fields" size="30"/><br>
+					<small>(only first is used)</small>
+				</td></tr>
+				<tr><td>
+					<center>
+					<input type="submit" name="submit"/>
+					<input type="reset" name="reset"/>
+					</center>
+				</td></tr>
+			</table>
+		</form>
+		
+	</body>
+</html>
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/refine.jsp
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/refine.jsp	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/refine.jsp	(revision 48340)
@@ -0,0 +1,79 @@
+<%@page import="java.util.List"%>
+<%@page import="eu.dnetlib.domain.EPR"%>
+<%@page import="gr.uoa.di.driver.enabling.resultset.ResultSet"%>
+<%@page import="eu.dnetlib.api.data.SearchService"%>
+
+<jsp:useBean id="query" class="eu.dnetlib.data.search.web.Query" scope="request">
+<jsp:setProperty name="query" property="*"/>
+</jsp:useBean>
+
+<% if (query == null) { %>
+    <jsp:forward page="/"/>
+<% } %>
+
+
+<%@page import="org.apache.commons.lang.StringEscapeUtils"%>
+<%@page import="eu.dnetlib.data.search.web.SearchServiceContextUtils"%>
+<%@page import="gr.uoa.di.driver.enabling.resultset.ResultSetFactory"%>
+<html>
+	<head>
+		<title>Index Refine</title>
+	</head>
+	<body>
+		<h1>Index Refine</h1>
+		Refine for <b>
+		<% if (query.getQuery() == null || query.getQuery().length() == 0 ) { %>
+			(empty query)
+		<% } else { %>
+			<%=query.getQuery()%>
+		<% } %>
+		</b>
+		<% List<String> fields = query.parseFields(); %>
+		using <%=(fields==null)?0:fields.size()%>fields: <b><%=fields%></b>
+		in <a href="services/searchWebService">local search service</a>...<br>
+		
+<%
+	long time = System.currentTimeMillis();
+	SearchService search = SearchServiceContextUtils.getSearchService(request);
+%>
+	Created index endpoint in <%=System.currentTimeMillis()-time%> ms.<br>
+
+<%
+	time = System.currentTimeMillis();
+	EPR epr = search.refine(query.getQuery(), fields);
+%>
+	Index lookup lasted <%=System.currentTimeMillis()-time%> ms.<br>
+	Returned EPR: <pre><%=StringEscapeUtils.escapeHtml(epr.toString())%></pre><br>
+	
+<%
+	time = System.currentTimeMillis();
+	ResultSet<String> rs = SearchServiceContextUtils.getResultSetFactory(request).createResultSet(epr);
+	int count = rs.size();
+%>
+	Total records in result set: <%=count%><br>
+	Query Numof records lasted <%=System.currentTimeMillis()-time%> ms.<br>
+
+<%
+	time = System.currentTimeMillis();
+	List<String> list = null;
+	int MAX = 50;
+	if (count > 0) {
+		list = rs.getElements(1, Math.min(MAX, count));
+	}
+%>
+	Retrieve top-<%=MAX%> records lasted <%=System.currentTimeMillis()-time%> ms.<br>
+
+	Top-<%=MAX%> results:
+	<table>
+		<tr><th>Count</th><th>Record</th></tr>
+	<% for (int i = 0 ; i < MAX && i < count; i++ ) { %>
+		<tr>
+			<td><%=i+1%></td>
+			<td><pre><%=StringEscapeUtils.escapeHtml(list.get(i))%></pre></td>
+		</tr>
+	<% } %>
+	</table>
+	
+	</body>
+</html>
+
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/error.jsp
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/error.jsp	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/error.jsp	(revision 48340)
@@ -0,0 +1,36 @@
+<%@ page contentType="text/html; charset=utf-8" %>
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+
+
+	<head>
+	<title>Error Page</title>
+
+		<%
+		  Throwable exception = (Throwable)
+		  		request.getAttribute("javax.servlet.error.exception");
+		  String message = (String)
+		  		request.getAttribute("javax.servlet.error.message");
+		  Integer statusCode = (Integer)
+		  		request.getAttribute("javax.servlet.error.status_code");
+		%>
+  		<b>Status Code : </b> <%=statusCode%> <br/>
+  		<b>Message : </b> <%=message%> <br/>
+  		
+  		<% while (exception != null) { %>
+			<!-- Caught Exception -->
+	  		<b>Exception : <%=exception.getMessage() %></b> <br/>
+	  		<%
+	  			StackTraceElement[] trace = exception.getStackTrace();
+				for (int i = 0; i < trace.length; i++) {
+			%>
+					<i>&nbsp;&nbsp; <%=trace[i]%></i><br/>	
+	  		<%
+				}
+				exception = exception.getCause();
+			}
+  			%>
+  		  		
+</body>
+</html>
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/browse.jsp
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/browse.jsp	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/pages/browse.jsp	(revision 48340)
@@ -0,0 +1,79 @@
+<%@page import="java.util.List"%>
+<%@page import="eu.dnetlib.domain.EPR"%>
+<%@page import="gr.uoa.di.driver.enabling.resultset.ResultSet"%>
+<%@page import="eu.dnetlib.api.data.SearchService"%>
+
+<jsp:useBean id="query" class="eu.dnetlib.data.search.web.Query" scope="request">
+<jsp:setProperty name="query" property="*"/>
+</jsp:useBean>
+
+<% if (query == null) { %>
+    <jsp:forward page="/"/>
+<% } %>
+
+<%@page import="org.apache.commons.lang.StringEscapeUtils"%>
+<%@page import="eu.dnetlib.data.search.web.SearchServiceContextUtils"%>
+<%@page import="eu.dnetlib.domain.data.BrowseData"%>
+<%@page import="eu.dnetlib.api.data.BrowseDataNotAvailableException"%>
+<html>
+	<head>
+		<title>Index Browse</title>
+	</head>
+	<body>
+		<h1>Index Browse</h1>
+		Browse for <b>
+		<% if (query.getQuery() == null || query.getQuery().length() == 0 ) { %>
+			(empty query)
+		<% } else { %>
+			<%=query.getQuery()%>
+		<% } %>
+		</b>
+		<% List<String> fields = query.parseFields(); %>
+		<% String field = (fields==null)?null:fields.get(0); %>
+		<% if (field == null) { %>
+		<b>using no field</b>
+		<% } else { %>
+		<b>using field: <%=field %></b>
+		<% } %>
+		in <a href="services/searchWebService">local search service</a>...<br>
+		
+
+<%
+	long time = System.currentTimeMillis();
+	SearchService search = SearchServiceContextUtils.getSearchService(request);
+%>
+	Created index endpoint in <%=System.currentTimeMillis()-time%> ms.<br>
+
+<%
+	time = System.currentTimeMillis();
+	BrowseData data = null;
+	try {
+		data = search.browse(query.getQuery(), field);
+	} catch (BrowseDataNotAvailableException bdna) {
+		data = null;
+	}
+%>
+	Index lookup lasted <%=System.currentTimeMillis()-time%> ms.<br>
+	
+	<% if (data == null) { %>
+	<i>Browse results are currently being updated...</i>
+	<% } else { %>
+	Browse results:
+	<table>
+		<tr><th>Field</th><th>Value</th><th>Count</th></tr>
+		<%
+		for (String f : data.getFields()) {
+			List<Integer> counts = data.getFieldCounts(f);
+			List<String> values = data.getFieldValues(f);
+			for (int i=0; i<counts.size(); i++) {
+		%>
+		<tr>
+			<td><%=f%></td>
+			<td><%=values.get(i)%></td>
+			<td><%=counts.get(i)%></td>
+		</tr>
+		<% }} %>
+	</table>
+	<% } %>
+	</body>
+</html>
\ No newline at end of file
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/cxf.xml
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/cxf.xml	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/cxf.xml	(revision 48340)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<beans xmlns="http://www.springframework.org/schema/beans"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cxf="http://cxf.apache.org/core"
+	xmlns:http="http://cxf.apache.org/transports/http/configuration"
+	xmlns:wsa="http://cxf.apache.org/ws/addressing" xmlns:p="http://www.springframework.org/schema/p"
+	xmlns:pol="http://cxf.apache.org/policy" xmlns:condbean="http://dnetlib.eu/springbeans/condbean"
+	xsi:schemaLocation="
+http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
+http://cxf.apache.org/ws/addressing http://cxf.apache.org/schemas/ws-addr-conf.xsd
+http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
+http://cxf.apache.org/policy http://cxf.apache.org/schemas/policy.xsd
+http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
+http://dnetlib.eu/springbeans/condbean http://dnetlib.eu/springbeans/condbean.xsd">
+
+	<cxf:bus>
+		<cxf:inInterceptors>
+<!--			<bean id="logInbound" class="org.apache.cxf.interceptor.LoggingInInterceptor" />-->
+<!--			<bean id="logOutbound" class="org.apache.cxf.interceptor.LoggingOutInterceptor" />-->
+		</cxf:inInterceptors>
+		<cxf:features>
+<!--			<wsa:addressing />-->
+<!--			<cxf:logging />-->
+<!--			<pol:policies ignoreUnknownAssertions="true" />-->
+		</cxf:features>
+	</cxf:bus>
+
+
+	<http:conduit name="*.http-conduit">
+		<http:client AllowChunking="true" Connection="Keep-Alive" />
+	</http:conduit>
+</beans>
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/applicationContext.xml	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/applicationContext.xml	(revision 48340)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<beans xmlns="http://www.springframework.org/schema/beans"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xmlns:context="http://www.springframework.org/schema/context"
+	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
+	http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd"
+	default-autowire="no">
+
+	<import resource="classpath:META-INF/cxf/cxf.xml" />
+	
+	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-commons.xml" />
+	<import resource="classpath*:/gr/uoa/di/driver/util/springContext-locators.xml" />
+	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-registrator.xml" />
+ 	<import resource="classpath*:/eu/dnetlib/clients/ws/springContext-locatorFactory.xml" />
+	<import resource="classpath*:/eu/dnetlib/soap/cxf/applicationContext-eprbuilders.xml"/>
+	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-lookupFactory.xml" />
+	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-lookupClients.xml" />
+	<import resource="classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.xml" />
+
+	<import resource="classpath*:/eu/dnetlib/data/statsmanager/springContext-statsManager.xml" />
+
+
+	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
+		<property name="order" value="2" />
+		<property name="ignoreUnresolvablePlaceholders" value="true" />
+		<property name="properties">
+                        <bean class="eu.dnetlib.conf.WebappContextProperyFactory">
+                                <property name="propertyFetcher">
+                                        <bean class="eu.dnetlib.conf.PropertyFetcher" />
+                                </property>
+                        </bean>
+                </property>
+		<property name="locations">
+			<list>
+				<value>classpath*:/eu/**/applicationContext*.properties</value>
+				<value>classpath*:/eu/dnetlib/applicationContext-defaultProperties.properties</value>
+				<value>classpath*:/gr/**/springContext-commons.properties</value>
+				<value>classpath*:/gr/**/springContext-registrator.properties</value> 
+				<value>classpath*:/gr/**/springContext-locators.properties</value>
+				<value>classpath*:/gr/uoa/di/driver/app/springContext-lookupFactory.properties</value>
+				<value>classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.properties</value>
+
+				<value>classpath*:/eu/**/springContext-statsManager.properties</value>
+
+				<value>classpath*:/uoa-override.properties</value>
+				<value>classpath*:/dnet-override.properties</value>
+			</list>
+		</property>
+	</bean>
+
+	<context:annotation-config />
+	<import resource="./cxf.xml" />
+</beans>
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/dispatcher-servlet.xml
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/dispatcher-servlet.xml	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/dispatcher-servlet.xml	(revision 48340)
@@ -0,0 +1,17 @@
+<beans xmlns="http://www.springframework.org/schema/beans"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xmlns:context="http://www.springframework.org/schema/context"
+	xsi:schemaLocation="http://www.springframework.org/schema/beans
+	http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
+	http://www.springframework.org/schema/context
+	http://www.springframework.org/schema/context/spring-context-2.5.xsd">
+	
+	<import resource="classpath*:/eu/dnetlib/data/search/web/api/dispatcher-servlet.xml"/>
+
+    <bean id="viewResolver"
+          class="org.springframework.web.servlet.view.UrlBasedViewResolver">
+        <property name="viewClass" value="org.springframework.web.servlet.view.JstlView"/>
+        <property name="prefix" value="/WEB-INF/pages/"/>
+        <property name="suffix" value=".jsp"/>
+    </bean>
+</beans>
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/log4j.properties
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/log4j.properties	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/log4j.properties	(revision 48340)
@@ -0,0 +1,18 @@
+log4j.rootLogger = ERROR, stdout
+
+log4j.logger.eu.dnetlib = DEBUG, stdout
+log4j.logger.gr.uoa = DEBUG, stdout
+log4j.org.springframework = DEBUG, stdout
+log4j.logger.org.apache.cxf.interceptor = FATAL, stdout
+
+log4j.additivity.eu.dnetlib = false
+log4j.additivity.gr.uoa = false
+log4j.additivity.org.springframework = false
+
+log4j.logger.gr.uoa.di.driver.enabling.issn = WARN, stdout
+log4j.logger.eu.dnetlib.utils.parser.Parser = WARN, stdout
+
+log4j.appender.stdout=org.apache.log4j.ConsoleAppender
+log4j.appender.stdout.Target=System.out
+log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
+log4j.appender.stdout.layout.ConversionPattern=%d %p %t [%c] - %m%n
Index: modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/web.xml
===================================================================
--- modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/web.xml	(nonexistent)
+++ modules/dnet-stats-service/trunk/src/main/webapp/WEB-INF/web.xml	(revision 48340)
@@ -0,0 +1,47 @@
+<!DOCTYPE web-app PUBLIC
+ "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
+ "http://java.sun.com/dtd/web-app_2_3.dtd" >
+<web-app>
+	<display-name>uoa-search</display-name>
+	<context-param>
+		<param-name>webAppRootKey</param-name>
+		<param-value>uoa-search</param-value>
+	</context-param>
+	<context-param>
+		<param-name>contextConfigLocation</param-name>
+		<param-value>/WEB-INF/applicationContext.xml</param-value>
+	</context-param>
+	<context-param>
+		<param-name>log4jConfigLocation</param-name>
+		<param-value>/WEB-INF/log4j.properties</param-value>
+	</context-param>
+
+	<listener>
+		<listener-class>org.springframework.web.util.Log4jConfigListener</listener-class>
+	</listener>
+	<listener>
+		<listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
+	</listener>
+	<servlet>
+		<servlet-name>CXFServlet</servlet-name>
+		<display-name>CXF Servlet</display-name>
+		<servlet-class>org.apache.cxf.transport.servlet.CXFServlet</servlet-class>
+		<load-on-startup>1</load-on-startup>
+	</servlet>
+
+	<servlet>
+		<servlet-name>dispatcher</servlet-name>
+		<servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
+		<load-on-startup>1</load-on-startup>
+	</servlet>
+
+	<servlet-mapping>
+		<servlet-name>CXFServlet</servlet-name>
+		<url-pattern>/services/*</url-pattern>
+	</servlet-mapping>
+	
+	<servlet-mapping>
+		<servlet-name>dispatcher</servlet-name>
+		<url-pattern>/</url-pattern>
+	</servlet-mapping>
+</web-app>
Index: modules/dnet-stats-service/trunk/pom.xml
===================================================================
--- modules/dnet-stats-service/trunk/pom.xml	(nonexistent)
+++ modules/dnet-stats-service/trunk/pom.xml	(revision 48340)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<parent>
+		<groupId>eu.dnetlib</groupId>
+		<artifactId>dnet-parent</artifactId>
+		<version>1.0.0-SNAPSHOT</version>
+	</parent>
+	<modelVersion>4.0.0</modelVersion>
+	<groupId>eu.dnetlib</groupId>
+	<artifactId>dnet-stats-services</artifactId>
+	<packaging>war</packaging>
+	<version>1.0.0-SNAPSHOT</version>
+	<dependencies>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>uoa-stats-service</artifactId>
+			<version>[1.0.0-SNAPSHOT,)</version>
+			<exclusions> <!-- already included in tomcat7 -->
+				<exclusion>
+					<groupId>javax.servlet</groupId>
+					<artifactId>javax.servlet-api</artifactId>
+				</exclusion>
+			</exclusions>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>uoa-clients</artifactId>
+			<version>[1.0.0-SNAPSHOT,)</version>
+			<exclusions>
+				<exclusion>
+					<groupId>cglib</groupId>
+					<artifactId>cglib</artifactId>
+				</exclusion>
+			</exclusions>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>uoa-hcm</artifactId>
+			<version>[1.0.0-SNAPSHOT,)</version>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>dnet-runtime</artifactId>
+			<version>[1.0.0-SNAPSHOT,)</version>
+		</dependency>
+		<dependency>
+			<groupId>cglib</groupId>
+			<artifactId>cglib-nodep</artifactId>
+			<version>2.2</version>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.cxf</groupId>
+			<artifactId>cxf-rt-transports-http</artifactId>
+			<version>${cxf.version}</version>
+		</dependency>
+        <dependency>
+            <groupId>jstl</groupId>
+            <artifactId>jstl</artifactId>
+            <version>1.2</version>
+        </dependency>
+		<dependency>
+			<groupId>org.slf4j</groupId>
+			<artifactId>slf4j-api</artifactId>
+			<version>[1.7.6, )</version>
+		</dependency>
+    </dependencies>
+</project>
Index: modules/dnet-stats-service/trunk
===================================================================
--- modules/dnet-stats-service/trunk	(nonexistent)
+++ modules/dnet-stats-service/trunk	(revision 48340)

Property changes on: modules/dnet-stats-service/trunk
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,3 ##
+target
+*.iml
+*settings